Package org.eclipse.mat.hprof

# Class Pass1Parser

java.lang.Object
org.eclipse.mat.hprof.Pass1Parser

public class Pass1Parser extends Object

## Constructor Summary

Constructors
Constructor
Description
`Pass1Parser(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference)`

## Method Summary

Modifier and Type
Method
Description
`long`
`biggestArrays()`
Total of the size of the k biggest object arrays.
`void`
`read(File file, String prefix, String dumpNrToRead, long estimatedLength)`
`static Object`
`readValue(IPositionInputStream in, ISnapshot snapshot, int type, int idSize)`
`long`
`streamLength()`
Find the uncompressed stream length (in case the dump is compressed).

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pass1Parser

public Pass1Parser(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference)

## Method Details

### read

public void read(File file, String prefix, String dumpNrToRead, long estimatedLength) throws SnapshotException, IOException

Throws:
  `SnapshotException`
  `IOException`

### biggestArrays

public long biggestArrays()
Total of the size of the k biggest object arrays. k = number of processors Use to estimate how much more memory parallel parsing will use.

Returns:
  size in bytes

### streamLength

public long streamLength()
Find the uncompressed stream length (in case the dump is compressed).

Returns:
  the length in bytes

### readValue

public static Object readValue(IPositionInputStream in, ISnapshot snapshot, int type, int idSize) throws IOException

Throws:
  `IOException`